## gate.gui
Class DocumentEditor.CustomStyledEditorKit

    java.lang.Object
      |
      +--javax.swing.text.EditorKit
            |
            +--javax.swing.text.DefaultEditorKit
                  |
                  +--javax.swing.text.StyledEditorKit
                        |
                        +--gate.gui.DocumentEditor.CustomStyledEditorKit

All Implemented Interfaces:
  Cloneable, Serializable

Enclosing class:
  DocumentEditor

public class DocumentEditor.CustomStyledEditorKit
extends StyledEditorKit

Fixes the 4406598 bug in swing text components. The bug consists in the fact that the Background attribute is ignored by the text component whent it is defined in a style from which the current style inherits.

See Also:
  Serialized Form

Inner classes inherited from class javax.swing.text.StyledEditorKit
`StyledEditorKit.AlignmentAction, StyledEditorKit.AttributeTracker, StyledEditorKit.BoldAction, StyledEditorKit.FontFamilyAction, StyledEditorKit.FontSizeAction, StyledEditorKit.ForegroundAction, StyledEditorKit.ItalicAction, StyledEditorKit.StyledTextAction, StyledEditorKit.StyledViewFactory, StyledEditorKit.UnderlineAction`

Inner classes inherited from class javax.swing.text.DefaultEditorKit

`DefaultEditorKit.BeepAction, DefaultEditorKit.BeginAction, DefaultEditorKit.BeginLineAction, DefaultEditorKit.BeginParagraphAction, DefaultEditorKit.BeginWordAction, DefaultEditorKit.CopyAction, DefaultEditorKit.CutAction, DefaultEditorKit.DefaultKeyTypedAction, DefaultEditorKit.DeleteNextCharAction, DefaultEditorKit.DeletePrevCharAction, DefaultEditorKit.DumpModelAction, DefaultEditorKit.EndAction, DefaultEditorKit.EndLineAction, DefaultEditorKit.EndParagraphAction, DefaultEditorKit.EndWordAction, DefaultEditorKit.InsertBreakAction, DefaultEditorKit.InsertContentAction, DefaultEditorKit.InsertTabAction, DefaultEditorKit.NextVisualPositionAction, DefaultEditorKit.NextWordAction, DefaultEditorKit.PageAction, DefaultEditorKit.PageDownAction, DefaultEditorKit.PageUpAction, DefaultEditorKit.PasteAction, DefaultEditorKit.PreviousWordAction, DefaultEditorKit.ReadOnlyAction, DefaultEditorKit.SelectAllAction, DefaultEditorKit.SelectLineAction, DefaultEditorKit.SelectParagraphAction, DefaultEditorKit.SelectWordAction, DefaultEditorKit.ToggleComponentOrientationAction, DefaultEditorKit.UnselectAction, DefaultEditorKit.WritableAction`

Field Summary
`private ViewFactory` `defaultFactory`

Fields inherited from class javax.swing.text.StyledEditorKit
`currentParagraph, currentRun, defaultActions, inputAttributes, inputAttributeUpdater`

Fields inherited from class javax.swing.text.DefaultEditorKit

`backwardAction, beepAction, beginAction, beginLineAction, beginParagraphAction, beginWordAction, copyAction, cutAction, defaultKeyTypedAction, deleteNextCharAction, deletePrevCharAction, downAction, endAction, endLineAction, EndOfLineStringProperty, endParagraphAction, endWordAction, forwardAction, insertBreakAction, insertContentAction, insertTabAction, nextWordAction, pageDownAction, pageUpAction, pasteAction, previousWordAction, readOnlyAction, selectAllAction, selectionBackwardAction, selectionBeginAction, selectionBeginLineAction, selectionBeginParagraphAction, selectionBeginWordAction, selectionDownAction, selectionEndAction, selectionEndLineAction, selectionEndParagraphAction, selectionEndWordAction, selectionForwardAction, selectionNextWordAction, selectionPageDownAction, selectionPageLeftAction, selectionPageRightAction, selectionPageUpAction, selectionPreviousWordAction, selectionUpAction, selectLineAction, selectParagraphAction, selectWordAction, toggleComponentOrientationAction, unselectAction, upAction, writableAction`

Constructor Summary
`DocumentEditor.CustomStyledEditorKit()`

Method Summary
`ViewFactory` `getViewFactory()`
`void` `read(Reader in, Document doc, int pos)` Inserts content from the given stream, which will be treated as plain text.

Methods inherited from class javax.swing.text.StyledEditorKit
`<clinit>, clone, createDefaultDocument, createInputAttributes, deinstall, getActions, getCharacterAttributeRun, getInputAttributes, install`

Methods inherited from class javax.swing.text.DefaultEditorKit
`createCaret, getContentType, read, write, write`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### defaultFactory

    private final ViewFactory defaultFactory

Constructor Detail

### DocumentEditor.CustomStyledEditorKit

    public DocumentEditor.CustomStyledEditorKit()

Method Detail

### getViewFactory

    public ViewFactory getViewFactory()

  Overrides:
    `getViewFactory` in class `StyledEditorKit`

### read

    public void read(Reader in,
                     Document doc,
                     int pos)
              throws IOException,
                     BadLocationException

  Inserts content from the given stream, which will be treated as plain text. This insertion is done without checking \r or \r \n sequence. It takes the text from the Reader and place it into Document at position pos
  Overrides:
    `read` in class `DefaultEditorKit`